Phone and operating system requirements

An iPhone (running iOS 10 or higher) or Android smartphone (running Lollipop version 5.0 or higher) are compatible with the Hatch Baby app.

Have more questions? Submit a request

0 Comments

Article is closed for comments.